Page MenuHomeVyOS Platform

dhcpv6 client does not start
Closed, ResolvedPublicFEATURE REQUEST

Description

set interfaces ethernet eth0 address dhcpv6
commit
cpo@LR4.wue3# commit
[ interfaces ethernet eth0 ]
Cannot change udp-fragmentation-offload
VyOS had an issue completing a command.

We are sorry that you encountered a problem while using VyOS.
There are a few things you can do to help us (and yourself):
- Make sure you are running the latest version of the code available at
  https://downloads.vyos.io/rolling/current/amd64/vyos-rolling-latest.iso
- Consult the forum to see how to handle this issue
  https://forum.vyos.io
- Join our community on slack where our users exchange help and advice
  https://vyos.slack.com

When reporting problems, please include as much information as possible:
- do not obfuscate any data (feel free to contact us privately if your
  business policy requires it)
- and include all the information presented below

Report Time:      2020-04-28 19:35:10
Image Version:    VyOS 1.3-rolling-202004270117
Release Train:    equuleus

Built by:         autobuild@vyos.net
Built on:         Mon 27 Apr 2020 01:17 UTC
Build UUID:       593775e4-038a-4e99-9729-6190421ec0e2
Build Commit ID:  31acba87d1b416

Architecture:     x86_64
Boot via:         installed image
System type:       guest

Hardware vendor:  PC Engines
Hardware model:   apu4
Hardware S/N:     1360315
Hardware UUID:    Unknown

Traceback (most recent call last):
  File "/usr/libexec/vyos/conf_mode/interfaces-ethernet.py", line 462, in <module>
    apply(c)
  File "/usr/libexec/vyos/conf_mode/interfaces-ethernet.py", line 411, in apply
    e.add_addr(addr)
  File "/usr/lib/python3/dist-packages/vyos/ifconfig/interface.py", line 656, in add_addr
    self.dhcp.v6.set()
  File "/usr/lib/python3/dist-packages/vyos/ifconfig/dhcp.py", line 168, in set
    return self._cmd(cmd.format(**self.file))
  File "/usr/lib/python3/dist-packages/vyos/ifconfig/control.py", line 48, in _cmd
    return cmd(command, self.debug)
  File "/usr/lib/python3/dist-packages/vyos/util.py", line 139, in cmd
    raise OSError(code, feedback)
PermissionError: [Errno 1] failed to run command: start-stop-daemon --start --oknodo --quiet --pidfile /var/lib/dhcp/dhclient_eth0.v6pid --exec /sbin/dhclient -- -6 -nw -cf /var/lib/dhcp/dhclient_eth0.v6conf -pf /var/lib/dhcp/dhclient_eth0.v6pid -lf /var/lib/dhcp/dhclient_eth0.v6leases eth0
returned:
exit code: 1


[[interfaces ethernet eth0]] failed
Commit failed

Details

Difficulty level
Unknown (require assessment)
Version
1.3-rolling-202004270117
Why the issue appeared?
Will be filled on close
Is it a breaking change?
Unspecified (possibly destroys the router)

Related Objects

StatusSubtypeAssignedTask
ResolvedFEATURE REQUESTc-po
ResolvedFEATURE REQUESTc-po

Event Timeline

c-po changed the task status from Open to In progress.Apr 28 2020, 5:36 PM
c-po claimed this task.
c-po created this task.
c-po changed Version from - to 1.3-rolling-202004270117.
c-po added a subscriber: thomas-mangin.
c-po renamed this task from DHCPv6 broken to dhcpv6 client does not start.Apr 28 2020, 6:16 PM

http://man7.org/linux/man-pages/man8/start-stop-daemon.8.html

EXIT STATUS

       1      If  --oknodo was not specified and nothing was done.

I had already reported before my refactor of the code that DHCPv6 does not work.
https://phabricator.vyos.net/T2268

pasik added a subscriber: pasik.Apr 28 2020, 7:30 PM
c-po closed this task as Resolved.Apr 29 2020, 1:06 PM
c-po moved this task from Need Triage to Finished on the VyOS 1.3 Equuleus board.May 21 2020, 4:16 PM